HRIS Departments

The HrisDepartment Object

Properties

idstring

The Rutter generated unique ID of the HRIS department.

platform_idstring

The platform specific ID of the HRIS department.

manager_idstringnullable

The Rutter ID of the HRIS department linked to the manager employee.

parent_department_idstringnullable

The Rutter ID of the HRIS department linked to the department.

namestring

The name of the department.

custom_fieldsobjectOptional

Custom fields on the department. Note: for field type 'select', please use the values from options presented through 'GET /accounting/departments/custom_fields' endpoint. For field type 'boolean', please pass in a boolean value.

descriptionstringnullable

The description about the department.

created_atstringnullable

The ISO 8601 timestamp that the HRIS department was created.

updated_atstringnullable

The ISO 8601 timestamp that the HRIS department was last updated.

last_synced_atstring

The ISO 8601 timestamp when the HRIS department was last synced by Rutter.

platform_dataobjectOptional

The raw platform data corresponding to the Rutter object.

Endpoints
GET
/hris/departments
GET
/hris/departments/:id

List Departments

GEThttps://production.rutterapi.com/versioned/hris/departments

Request Parameters

    access_tokenstringqueryRequired

    The access token of the connection.

    cursorstringqueryOptional

    Used to paginate to the next batch of objects. Should be a copy of the next_cursor value from the previous response.

    limitintegerqueryOptional

    Used to limit the number of returned objects. Defaults to 50.

    sortstringqueryOptional

    Used to sort the response objects, e.g. last_synced_at ASC. If a value is provided but ASC or DESC is not, defaults to ASC. If omitted, defaults to updated_at DESC. Currently supports the updated_at and last_synced_at fields.

    expandarrayqueryOptional

    Include platform specific data (includes additional fields not provided by the Rutter object).

    One or more ofplatform_data.
    last_synced_at_minintegerqueryOptional

    Used to filter objects with a last_synced_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_maxintegerqueryOptional

    Used to filter objects with a updated_at value less than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_minintegerqueryOptional

    Used to filter objects with a updated_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

Fetch a Department

GEThttps://production.rutterapi.com/versioned/hris/departments/:id

Request Parameters

    idstringpathRequired

    The unique ID of the object.

    access_tokenstringqueryRequired

    The access token of the connection.

    id_typeenumqueryOptional

    Used to indicate the type of id that is supplied. Defaults to rutter. Not currently supported on Sage Intacct or Sage Business Cloud.

    One ofrutter or platform.
    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

Have questions?

Contact support for personalized guidance.

Contact support